# $Revision: 1.27.2.5 $, $Date: 2004/02/20 19:48:43 $
Summary:	GaduGadu transport module for Jabber
Summary(pl):	Modu transportowy GaduGadu dla systemu Jabber
Name:		jabber-gg-transport
Version:	2.0.8
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://files.jabberstudio.org/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	3fb6f10b4cb492ec933cf67e9de552e5
Source1:	jggtrans.init
Source2:	jggtrans.sysconfig
Patch0:		%{name}-pidfile.patch
Url:		http://www.jabberstudio.org/projects/jabber-gg-transport/project/view.php
BuildRequires:	libgadu-devel >= 4:1.0
BuildRequires:	glib-devel
BuildRequires:	pkgconfig
Requires(post,preun):	/sbin/chkconfig
Requires:	jabber
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows Jabber to communicate with GaduGadu server.

%description -l pl
Modu ten umoliwia uytkownikom Jabbera komunikowanie si z
uytkownikami GaduGadu.

%prep
%setup -q
%patch0 -p1

%build
%configure %{?debug:--with-efence}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/rc.d/init.d,/etc/sysconfig}

%{__make} install DESTDIR="$RPM_BUILD_ROOT"

install jggtrans.xml $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jggtrans
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/jggtrans

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add jggtrans
if [ -r /var/lock/subsys/jggtrans ]; then
       	/etc/rc.d/init.d/jggtrans restart >&2
else
        echo "Run \"/etc/rc.d/init.d/jggtrans start\" to start Jabber GaduGadu transport."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/jggtrans ]; then
		/etc/rc.d/init.d/jggtrans stop >&2
	fi
	/sbin/chkconfig --del jggtrans
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO README.Pl jggtrans.xml.Pl
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,jabber) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/jggtrans.xml
%attr(754,root,root) /etc/rc.d/init.d/jggtrans
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/jggtrans

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jabber-gg-transport.spec,v $
Revision 1.27.2.5  2004/02/20 19:48:43  jajcus
- Version: 2.0.8

Revision 1.27.2.4  2004/02/12 13:57:33  ankry
- md5

Revision 1.27.2.3  2004/02/12 12:10:04  ankry
- require libgadu with higher epoch

Revision 1.27.2.2  2004/02/12 11:49:31  jajcus
- Version: 2.0.7
- translations included
- roster import disabled as it is broken (with latest libgadu) and causes crash

Revision 1.27.2.1  2003/07/11 12:01:29  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.27  2003/02/09 10:35:57  alchemyx
- libgadu is versioned differently, fixed, STBR

Revision 1.26  2003/02/06 08:42:58  jajcus
- Version: 1.4.0
- config file patched (%%{name}-pidfile.patch) so pidfile is written directly to /var/run

Revision 1.25  2003/01/16 11:24:20  jajcus
- Version: 1.3.0

Revision 1.24  2003/01/14 17:39:02  mmazur
- Next version will need this libgadu... new search api + my segfault fix

Revision 1.23  2003/01/09 10:21:16  qboosh
- Requires(post,preun): /sbin/chkconfig

Revision 1.22  2003/01/08 19:12:29  mmazur
- added missing chkconfig

Revision 1.21  2003/01/05 00:46:55  mmazur
- I think this typo is becoming my obsession

Revision 1.20  2003/01/04 23:05:23  mmazur
- typo

Revision 1.19  2002/12/30 12:14:30  jajcus
- Version: 1.2.3

Revision 1.18  2002/12/27 09:18:11  mmazur
- let's call it a typo

Revision 1.17  2002/12/25 12:04:53  jajcus
- Version: 1.2.2

Revision 1.16  2002/12/10 08:38:27  jajcus
- Version: 1.2.1

Revision 1.15  2002/12/09 10:09:24  jajcus
- Version: 1.2.0

Revision 1.14  2002/08/12 21:33:43  kloczek
- release 3: rebuild against current libgadu.

Revision 1.13  2002/07/24 12:23:56  kloczek
- release 2: removed %%requires_eq for libgadu (seems now it isn't neccessary
  for keep this package in good condition :)

Revision 1.12  2002/06/11 07:05:37  jajcus
- Version: 1.1.0

Revision 1.11  2002/06/05 17:09:38  kloczek
- use new %doc and 754 on init script.

Revision 1.10  2002/06/05 16:42:03  jajcus
- Version: 1.0.1

Revision 1.9  2002/04/25 16:38:05  arturs
fixed a small typo

Revision 1.8  2002/04/13 16:47:49  kloczek
- cosmetics.

Revision 1.7  2002/04/13 16:24:33  jajcus
- Version: 1.0.0
- %%requires_eq libgadu (because libgadu versions with the same soname are not always binary compatible)

Revision 1.6  2002/02/24 12:14:30  jajcus
- Version: 0.9.9

Revision 1.5  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/08 15:49:33  jajcus
- Version: 0.9.8
- it has now its own init script

Revision 1.2  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2002/01/15 16:21:38  jajcus
- new spec
